<?php 
require_once 'app/template/admin/header.phtml';
require_once 'app/template/admin/menu_top.phtml';
require_once 'app/template/admin/menu_sidebar.phtml'; 
?>

<div class="row">
        <div class="col-md-8 col-md-offset-2"><br>
        <div class="panel panel-primary">
            <div class="panel-heading" align="center"><b>LISTA DE CLIENTES</b></div>
            <div class="panel-body">
                <div class="row">
                    <div class="col-md-10 col-md-offset-1">
                        <div class="input-group">
                            <span class="input-group-addon" id="basic-addon1">
                                <span class="glyphicon glyphicon-search"></span>                                
                            </span>
                            <input type="hidden" value="<?php echo URL_BASE?>" id="url">
                            <input type="text" id="buscarCliente" class="form-control" autofocus placeholder="Informe o nome ou CNPJ" aria-describedby="basic-addon1">
                        </div>                        
                    </div>
                </div> 
                <div class="row" >
                    <div class="col-md-12">
                        <div class="row">
                            <div class="col-md-12">
                                <a data-toggle="collapse" data-target="#filtrar" style="cursor: pointer; float: right">Filtrar</a>
                            </div>
                        </div>                        
                        <div id="filtrar" class="collapse" style="margin-top: 7px">
                            <div class="row">
                                <div class="col-md-2" >
                                    <label class="radio-inline"><input type="radio" checked name="statusLicenca" id="buscarTodos" value="todos">Todos</label>
                                </div>
                                <div class="col-md-2">
                                    <label class="radio-inline"><input type="radio" name="statusLicenca" id="buscarAtivos" value="ativos">Ativos</label>
                                </div>
                                <div class="col-md-2">
                                    <label class="radio-inline"><input type="radio" name="statusLicenca" id="buscarVencendo" value="vencendo">Vencendo</label>
                                </div>
                                <div class="col-md-2">
                                    <label class="radio-inline"><input type="radio" name="statusLicenca" id="buscarVencido" value="vencido">Vencido</label> 
                                </div>
                                <div class="col-md-2">
                                    <label class="radio-inline"><input type="radio" name="statusLicenca" id="buscarBloqueado" value="bloqueados">Bloqueado</label>
                                </div>
                            </div>                                                                                                                                           
                        </div>                        
                    </div>
                </div>
                <hr style="margin-top: 2px;margin-bottom: 3px">
                <div class="row" style="margin-bottom: 10px">
                    <div class="col-md-12">
                        <a data-toggle="collapse" data-target="#legenda" style="cursor: pointer; float: right ">Legenda</a>
                        <div id="legenda" class="collapse">
                            <span class="label label-success">Licença Ativa</span>                            
                            <span class="label label-warning">Licença Vencendo</span>
                            <span class="label label-danger">Licença Vencida</span>
                            <span class="label label-default">Licença Bloqueada</span>
                        </div> 
                    </div>
                </div>

                <div class="row">                    
                    <div class="col-md-12" id="clientes">
                        <div class="panel-group" id="accordion">
                            <?php $i = 1;?>
                            <?php foreach ($dados1 as $cliente):?>                                                        
                            
                            <?php if(($cliente['tpStatus']=='1') && ($cliente['diasRestantes']>=6)): ?>
                            <div class="panel panel-success" id="<?php echo "panel-".$cliente['idCliente']; ?>">
                            <?php endif; ?>
                            <?php if(($cliente['tpStatus']=='1') && ($cliente['diasRestantes']<=5) && ($cliente['diasRestantes']>=1)): ?>
                            <div class="panel panel-warning" id="<?php echo "panel-".$cliente['idCliente']; ?>">
                            <?php endif; ?>
                            <?php if(($cliente['tpStatus']=='1') && ($cliente['diasRestantes']<=0)): ?>
                            <div class="panel panel-danger" id="<?php echo "panel-".$cliente['idCliente']; ?>">
                            <?php endif; ?>    
                            <?php if($cliente['tpStatus']=='0'): ?>
                            <div class="panel panel-default" id="<?php echo "panel-".$cliente['idCliente']; ?>">
                            <?php endif; ?>       
                                <div class="panel-heading" style="cursor: pointer;" data-toggle="collapse" data-parent="#accordion" href="<?php echo '#collapse'.$i ?>">
                                    <h4 class="panel-title">                                       
                                            <?php echo $cliente['nmFantasia']; echo $cliente['apelido'] != ''? " - ".$cliente['apelido']:"" ?>
                                    </h4>
                                </div>
                                <div id="<?php echo 'collapse'.$i ?>" class="panel-collapse collapse">
                                    <div class="panel-body">                                        
                                        <table class="table table-striped">
                                            <tbody>
                                                <tr>
                                                    <td><p><b>ID Cliente: </b><?php echo $cliente['idCliente']; ?></p></td>
                                                </tr>
                                                <tr>
                                                    <td><p><b>CNPJ: </b><?php echo $cliente['cnpj']; ?></p></td>
                                                </tr>
                                                <tr>
                                                    <td><p><b>Apelido: </b><?php echo $cliente['apelido']; ?></p></td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <p id="<?php echo 'status-' . $cliente['idCliente']; ?>">
                                                            <b>Status Licença: </b><?php echo $cliente['tpStatus'] == '1' ? "<label style='color:green'>Ativo</label>" : "<label style='color:red'>Bloqueado</label>"; ?>
                                                        </p>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <p><b>Validade: </b><?php echo $cliente['dtValidade']; ?></p>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <p><b>Dias Restantes: </b><label id="<?php echo 'diasCliente-'.$cliente['idCliente']; ?>"><?php echo $cliente['diasRestantes']; ?></label></p>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <p><b>Limite Dispositivos: </b><label id="<?php echo "qtdDispositivo-".$cliente['idCliente']; ?>" style="font-weight: normal;"><?php echo $cliente['qtdDispositivos']; ?></label></p>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <p><b>Dispositivos Cadastrados: </b><?php echo $cliente['qtdDispCadastrados']; ?></p>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>
                                                        <p><b>Dispositivos Ativos: </b><?php echo $cliente['qtdDispAtivos']; ?></p>
                                                    </td>
                                                </tr>
                                                <tr>
                                                    <td>                                                                                              
                                                        <p><b>Módulos de Uso:</b> 
                                                            <?php echo $cliente['modulosCliente']; ?>   
                                                        </p>
                                                    </td>
                                                </tr>                                                
                                            </tbody>
                                        </table>
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    
                                        <a href="<?php echo URL_BASE."cliente/autoriza/idCliente/".$cliente['idCliente'] ?>" id="<?php echo "btLinkRenovar-".$cliente['idCliente']; ?>" class="btn btn-success" <?php echo $cliente['tpStatus'] == '1'? "style='margin-bottom: 3px'": "style='margin-bottom: 3px;display:none'" ?>>Renovar Licença</a>
                                        <a href="<?php echo URL_BASE."cliente/editar/idCliente/".$cliente['idCliente']; ?>" class="btn btn-primary" style="margin-bottom: 3px;">Editar Cliente</a>
                                        <a href="<?php echo URL_BASE."cliente/historico/idCliente/".$cliente['idCliente']; ?>" class="btn btn-info" style="margin-bottom: 3px;">Histórico</a>
                                        <a href="<?php echo URL_BASE."cliente/dispositivos/idCliente/".$cliente['idCliente'] ?>" class="btn btn-warning" style="margin-bottom: 3px;">Dispositivos</a>
                                        
                                        <button class="btn btn-danger" id="<?php echo "btnChaveManual-".$cliente['idCliente']; ?>" data-chave="true" data-idcliente="<?php echo $cliente['idCliente']; ?>" data-nmFantasia="<?php echo $cliente['nmFantasia']; ?>" data-apelido="<?php echo $cliente['apelido']; ?>" <?php echo $cliente['tpStatus'] == '1'? "style='margin-bottom: 3px'": "style='margin-bottom: 3px;display:none'" ?> data-toggle="modal" data-target="#myModal3">
                                            Chave
                                        </button>
                                        
                                        <button class="btn btn-default" id="<?php echo "btnBloquear-".$cliente['idCliente']; ?>" data-nmFantasia="<?php echo $cliente['nmFantasia']; ?>"  data-idcliente="<?php echo $cliente['idCliente']; ?>" data-bloquear="true" <?php echo $cliente['tpStatus'] == '1'? "style='margin-bottom: 3px'": "style='margin-bottom: 3px;display:none'" ?>  data-toggle="modal" data-target="#myModal">
                                            Bloquear Cliente
                                        </button>   
                                        
                                        <button class="btn btn-default" id="<?php echo "btnLiberar-".$cliente['idCliente']; ?>" data-nmFantasia="<?php echo $cliente['nmFantasia']; ?>" data-apelido="<?php echo $cliente['apelido']; ?>" data-idcliente="<?php echo $cliente['idCliente']; ?>" data-liberar="true" <?php echo $cliente['tpStatus'] == '0'? "style='margin-bottom: 3px'": "style='margin-bottom: 3px;display:none'" ?> data-toggle="modal" data-target="#myModal2">
                                            Liberar Licença
                                        </button>                                                               
                                    </div>
                                </div>
                            </div> 
                            <?php $i = $i + 1; ?>
                            <?php endforeach; ?>
                            <!-- Modal BLOQUEIO-->
                            <div id="myModal" class="modal fade" role="dialog">
                              <div class="modal-dialog">

                                <!-- Modal content-->
                                <div class="modal-content">
                                  <div class="modal-header">
                                      <button type="button" class="close" data-dismiss="modal">&times;</button>
                                      <h4 class="modal-title">Bloquear Cliente</h4>
                                  </div>
                                  <div class="modal-body">
                                      <div id="retornoBloqueio"></div>
                                      <div id="dadosBloqueio">
                                          <p>ID: <label id="idClienteModal"></label></p>
                                          <p>Fantasia: <label id="nmFantasiaModal"></label></p>
                                          <p>Informe o motivo do bloqueio:</p>
                                          <textarea class="form-control" id="motivoBloqueio"></textarea>
                                          <p id="msg1"></p>
                                      </div>
                                  </div>
                                  <div class="modal-footer">
                                      <button type="button" class="btn btn-default" id="btnConfirmaBloqueio" data-confirmar-bloqueio="true">Confirmar</button>
                                      <button type="button" class="btn btn-info" data-dismiss="modal">Fechar</button>
                                  </div>
                                </div>

                              </div>
                            </div><!--FIM DA MODAL-->    
                            
                            <!-- Modal 2 LIBERAÇÃO-->
                            <div id="myModal2" class="modal fade" role="dialog">
                              <div class="modal-dialog">

                                <!-- Modal content-->
                                <div class="modal-content">
                                  <div class="modal-header">
                                      <button type="button" class="close" data-dismiss="modal">&times;</button>
                                      <h4 class="modal-title">Liberar Licença</h4>
                                  </div>
                                  <div class="modal-body">
                                      <div id="retornoLiberar"></div>
                                      <div id="dadosLiberar">
                                        <p>Deseja liberar a licença do(a): <label id="modalLiberarNmCliente"></label> - ID: <label id="modalLiberarIdCliente"></label>?</p>
                                      </div>
                                  </div>
                                  <div class="modal-footer">
                                      <button type="button" class="btn btn-success" id="btnConfirmaLiberacao" data-confirmar-liberacao="true">Confirmar</button>
                                      <button type="button" class="btn btn-info" data-dismiss="modal">Fechar</button>
                                  </div>
                                </div>

                              </div>
                            </div><!--FIM DA MODAL-->    
                            
                            <!-- Modal de Licença manual -->
                            <div id="myModal3" class="modal fade" role="dialog" data-backdrop="static">
                                <div class="modal-dialog">
                                    <!-- Modal content-->
                                    <div class="modal-content">
                                        <div class="modal-header">
                                            <button type="button" class="close" data-dismiss="modal">&times;</button>
                                            <h4 class="modal-title">Gerar Chave Manual</h4>
                                        </div>
                                        <div class="modal-body">
                                            <div id="loading"></div>                                            
                                            <div id="retornoGerarChaveManual"></div>
                                            <div align="center">
                                                <button class="btn btn-success" style="display:none" id="btn-copiar"><i class="fa fa-key" aria-hidden="true"></i> Copiar</button>
                                            </div>
                                            <form method="post" id="frmGerarChaveManual">
                                                
                                                <!---INPUT INFORMATIVO PARA O BACKEND-->
                                                <input type="hidden" name="idClienteChaveManual" id="idClienteChaveManual">
                                                
                                                <input type="hidden" name="diasChaveManual" id="diasChaveManual">
                                                
                                                <input type="hidden" name="qtdDispChaveManual" id="qtdDispChaveManual">
                                                
                                                <input type="hidden" name="nmClienteChaveManual" id="nmClienteChaveManual">
                                                
                                                <!--INPUT INFORMADO PELO CLIENTE-->
                                                <p id="clienteChaveManual"></p>
                                                <p><b>Informe o Serial:</b></p>
                                                <div class="row">
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label>*Bloco 1</label>
                                                            <input type="text" name="bloco1" id="bloco1" class="form-control" maxlength="6" 
                                                                   style="text-align: center; font-size: 12px; text-transform: uppercase">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label>*Bloco 2</label>
                                                            <input type="text" name="bloco2" id="bloco2" class="form-control" maxlength="6" 
                                                                   style="text-align: center; font-size: 12px; text-transform: uppercase">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label>*Bloco 3</label>
                                                            <input type="text" name="bloco3" id="bloco3" class="form-control" maxlength="6" 
                                                                   style="text-align: center; font-size: 12px; text-transform: uppercase">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label>*Bloco 4</label>
                                                            <input type="text" name="bloco4" id="bloco4" class="form-control" maxlength="6" 
                                                                   style="text-align: center; font-size: 12px; text-transform: uppercase">
                                                        </div>
                                                    </div>
                                                    <div class="col-md-2">
                                                        <div class="form-group">
                                                            <label>*Bloco 5</label>
                                                            <input type="text" name="bloco5" id="bloco5" class="form-control" maxlength="6" 
                                                                   style="text-align: center; font-size: 12px; text-transform: uppercase">
                                                        </div>
                                                    </div>
                                                </div>
                                                <div class="form-group">
                                                    <label for="SO">* Sistema Operacional:</label>
                                                    <select name="so" id="so" class="form-control">
                                                        <option value="">Selecione</option>
                                                        <option value="Windows 7 32 bits">Windows 7 32 bits</option>
                                                        <option value="Windows 7 64 bits">Windows 7 64 bits</option>
                                                        <option value="Windows 8 32 bits">Windows 8 32 bits</option>
                                                        <option value="Windows 8 64 bits">Windows 8 64 bits</option>
                                                        <option value="Windows 10 32 bits">Windows 10 32 bits</option>
                                                        <option value="Windows 10 64 bits">Windows 10 64 bits</option>
                                                        <option value="Windows Server 32 bits">Windows Server 32 bits</option>
                                                        <option value="Windows Server 64 bits">Windows Server 64 bits</option>
                                                    </select>
                                                </div>
                                                <div class="form-group">
                                                    <label for="memoria">* Memória:</label>
                                                    <select name="memoria" id="memoria" class="form-control">
                                                        <option value="">Selecione</option>
                                                        <option value="2">2 GB</option>
                                                        <option value="4">4 GB</option>
                                                        <option value="8">8 GB</option>
                                                        <option value="16">16 GB</option>
                                                        <option value="32">32 GB</option>
                                                    </select>
                                                </div>                                                
                                                <input type="submit" class="btn btn-primary btn-block" id="btnGerarLicenca" value="Gerar Chave">
                                            </form>                                            
                                        </div>
                                        
                                        <div class="modal-footer">
                                            <button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
                                        </div>
                                    </div>
                                </div>
                            </div><!--Fim da modal licença manual-->
                            
                        </div> 
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
     
<?php require_once 'app/template/admin/footer.phtml'; ?>            
<script src="<?php echo DIR_JS_APP."buscarCliente.js" ?>"></script>
<script src="<?php echo DIR_JS_APP."bloquearLiberarCliente.js" ?>"></script>
<script src="<?php echo DIR_JS."jqueryForm.min.js" ?>"></script>
<script src="<?php echo DIR_JS_APP."gerarChaveManual.js" ?>"></script>


